Characteristics

For each vehicle in your fleet, you can access to technical characteristics set when you create a vehicle or retrieved in DriveQuant vehicle database:

  • Brand, model and version of the vehicle

  • Engine configuration

  • Consumption data

  • Gearbox configuration

  • Vehicle dimensions

  • Tyre dimensions

circle-info

If you have your admin API key, you can try the API via this linkarrow-up-right.

Get vehicle's characteristics

get
Authorizations
DriveKit-Admin-API-KeystringRequired
Path parameters
vehicleIdstringRequired

Vehicle id

Header parameters
DriveKit-Admin-API-KeystringRequired

DriveKit Admin API Key

Responses
chevron-right
200

OK

application/json
brandstringOptional

Vehicle's brand

modelstringOptional

Vehicle's model

versionstringOptional

Vehicle's model version

yearstringOptional

Vehicle's model year

typeIndexintegerOptional

Vehicle body type

engineIndexintegerOptional

Engine type

powernumberOptional

Vehicle power (hp)

massnumberOptional

Vehicle mass (kg)

engineDisplacementnumberOptional

Vehicle's engine displacement

gearboxIndexintegerOptional

Gearbox type

consumptionnumberOptional

Combined fuel consumption (l/100km) measured during the New European Driving Cycle (NEDC)

autoGearboxNumberintegerOptional

Number of gear ratios for the automatic gearbox

frontTireSizestring · min: 1Optional

Front tyre size

rearTireSizestring · min: 1Optional

Rear tyre size

lengthnumberOptional

Vehicle length (m)

widthnumberOptional

Vehicle width (m)

heightnumberOptional

Vehicle height (m)

driveWheelsintegerOptional

Drive wheels : 0 -> AV, 1 -> AR, 2 -> 4x4

engineCylinderNbintegerOptional

Engine cylinder number

get
/drivekit/admin/vehicles/{vehicleId}/characteristics

Response

Description of each vehicle characteristics is available here.

Last updated

Was this helpful?